#!/bin/ksh
############################################################ {COPYRIGHT-TOP} ###
# IBM Confidential
# OCO Source Materials
# Tivoli Common Reporting Infrastructure
# 5724-T69
#
# Copyright IBM Corp. 2010
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
############################################################ {COPYRIGHT-END} ##
TCRROOT=$1
echo "TCRROOT="$TCRROOT
COGNOSDIR=$TCRROOT/cognos

mv $COGNOSDIR/war/p2pd/build.xml $COGNOSDIR/war/p2pd/build.xml.ORIG
cp -fr $COGNOSDIR/temp/build.xml $COGNOSDIR/war/p2pd/
cd $COGNOSDIR/templates/ps/portal/
rm -fr system.xml
cp  -fr $TCRROOT/conf/tcr21_if12/skins/system.xml .
cd ./welcome/logicsheets
rm -fr welcome.xsl
cp  -fr $TCRROOT/conf/tcr21_if12/skins/welcome.xsl .
mv $COGNOSDIR/war/p2pd/build.xml.ORIG $COGNOSDIR/war/p2pd/build.xml

cd $COGNOSDIR/webapps/p2pd/WEB-INF/fragments/styles/
rm -fr cogadmin.xml 
rm -fr default.xml
rm -fr j2html.xml
cp  -fr $TCRROOT/conf/tcr21_if12/skins/cogadmin.xml .
cp  -fr $TCRROOT/conf/tcr21_if12/skins/default.xml .
cp  -fr $TCRROOT/conf/tcr21_if12/skins/j2html.xml .

cd ./skins/
rm -fr tivoli.xml
cp  -fr $TCRROOT/conf/tcr21_if12/skins/tivoli.xml .
echo Copying images recursively
cd $TCRROOT/conf/tcr21_if12/gateway
cp -fr ./webcontent $COGNOSDIR/
echo Applying tivoli resource 
cd $TCRROOT/conf/tcr21_if12/templates
cp -fr ./res $COGNOSDIR/webcontent/pat/
echo Applying Birt Adapter
cd $TCRROOT/conf/tcr21_if12

cp -fr ./reportservice.xml $COGNOSDIR/webapps/p2pd/WEB-INF/services
cp -fr ./batchreportservice.xml $COGNOSDIR/webapps/p2pd/WEB-INF/services
cp -fr ./BirtAdapterA.jar $COGNOSDIR/webapps/p2pd/WEB-INF/lib
cp -fr ./birtservice.xml $COGNOSDIR/webapps/p2pd/WEB-INF/services
echo Restoring Properties files
cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/fragments/applications/cogadmin/fragments
cp -fr $TCRROOT/conf/tcr21_if12/banner/banner.xml .  

cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/classes
cp -fr $TCRROOT/conf/tcr21_if12/viewer/viewer*.properties . 

cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/lib
cp -fr $TCRROOT/conf/tcr21_if12/portaljar/portal.jar .

cd $TCRROOT/cognos/templates/ps/messages
cp -fr $TCRROOT/conf/tcr21_if12/portal/portal*.xml . 

echo "done"
